package nc.pubimpl.sap.fi;

import nc.bcmanage.bs.IBusiCenterManageService;
import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.bs.sap.fi.SapFiWriteSynergeticDelete;
import nc.pubitf.para.SysInitQuery;
import nc.pubitf.sap.fi.ISapFi;
import nc.vo.pub.BusinessException;

/**
 * @Description: 财务接口
 * 
 * @author 谢文如 【碧桂园SAP专项】
 * @date 2018-4-4
 * @version with NC V6.3
 */
public class SapFiImpl implements ISapFi {

	/**
	 * @Description: SAP 协同确认 删除
	 * @date 2018-6-4
	 * @version with NC V6.3
	 */
	@Override
	public String sapWriteSynergeticDelete(String key, String billdata) {
		try {
			IBusiCenterManageService busiCenterManageService=NCLocator.getInstance().lookup(IBusiCenterManageService.class);
			InvocationInfoProxy.getInstance().setUserDataSource(busiCenterManageService.getAvailableBusiCenterDsNames()[0]);
			InvocationInfoProxy.getInstance().setGroupId(SysInitQuery.getParaString("GLOBLE00000000000000", "GROUP"));
		} catch (BusinessException e) {
			e.printStackTrace();
		}
		String rsJson = new SapFiWriteSynergeticDelete().sapWriteSynergeticDelete(key, billdata);
		return rsJson;
	}

}
